package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 供应商路线对象 bus_supplier_route
 * 
 * @author zf
 * @date 2022-08-23
 */
public class BusSupplierRoute extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 供应商编号 */
    @Excel(name = "供应商编号")
    private String code;

    /** 起始地 */
    @Excel(name = "起始地")
    private String origin;

    /** 目的地 */
    @Excel(name = "目的地")
    private String destination;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startTime;

    /** 结束日期 */
    @Excel(name = "结束日期")
    private String endTime;

    /** 查看数量 */
    @Excel(name = "查看数量")
    private Long lookNum;

    /** 封面图 */
    @Excel(name = "封面图")
    private String titleImg;

    /** 标题 */
    @Excel(name = "标题")
    private String offerName;

    /** 价格 */
    @Excel(name = "价格")
    private Double priceAll;

    /** 人数 */
    @Excel(name = "人数")
    private String peopleNum;

    /** 编号 */
    @Excel(name = "编号")
    private String uuid;

    /** 建档日期 */
    @Excel(name = "建档日期")
    private String jdrq;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateDate;

    /** 地点标题 */
    @Excel(name = "地点标题")
    private String titleDayName;

    /** 热门标识 */
    @Excel(name = "热门标识")
    private String hotForm;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setOrigin(String origin) 
    {
        this.origin = origin;
    }

    public String getOrigin() 
    {
        return origin;
    }
    public void setDestination(String destination) 
    {
        this.destination = destination;
    }

    public String getDestination() 
    {
        return destination;
    }
    public void setStartTime(String startTime) 
    {
        this.startTime = startTime;
    }

    public String getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }
    public void setLookNum(Long lookNum) 
    {
        this.lookNum = lookNum;
    }

    public Long getLookNum() 
    {
        return lookNum;
    }
    public void setTitleImg(String titleImg) 
    {
        this.titleImg = titleImg;
    }

    public String getTitleImg() 
    {
        return titleImg;
    }
    public void setOfferName(String offerName) 
    {
        this.offerName = offerName;
    }

    public String getOfferName() 
    {
        return offerName;
    }
    public void setPriceAll(Double priceAll) 
    {
        this.priceAll = priceAll;
    }

    public Double getPriceAll() 
    {
        return priceAll;
    }
    public void setPeopleNum(String peopleNum) 
    {
        this.peopleNum = peopleNum;
    }

    public String getPeopleNum() 
    {
        return peopleNum;
    }
    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setJdrq(String jdrq) 
    {
        this.jdrq = jdrq;
    }

    public String getJdrq() 
    {
        return jdrq;
    }
    public void setUpdateDate(String updateDate) 
    {
        this.updateDate = updateDate;
    }

    public String getUpdateDate() 
    {
        return updateDate;
    }
    public void setTitleDayName(String titleDayName) 
    {
        this.titleDayName = titleDayName;
    }

    public String getTitleDayName() 
    {
        return titleDayName;
    }
    public void setHotForm(String hotForm) 
    {
        this.hotForm = hotForm;
    }

    public String getHotForm() 
    {
        return hotForm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("origin", getOrigin())
            .append("destination", getDestination())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("lookNum", getLookNum())
            .append("titleImg", getTitleImg())
            .append("offerName", getOfferName())
            .append("priceAll", getPriceAll())
            .append("peopleNum", getPeopleNum())
            .append("uuid", getUuid())
            .append("jdrq", getJdrq())
            .append("updateDate", getUpdateDate())
            .append("titleDayName", getTitleDayName())
            .append("hotForm", getHotForm())
            .toString();
    }
}
